Version matrix

The following matrix indicates the version of Arcade installed in each ArcGIS product/API that supports it. For additional details, including known limitations for the version of the ArcGIS product you use to consume and author Arcade expressions, please visit the documentation for the relevant product listed below.

ArcadeArcGIS ProArcGIS Enterprise serverArcGIS Enterprise portalArcGIS OnlineArcGIS Maps SDK for JavaScriptArcGIS Maps SDKs for Native Apps
1.25n/an/an/an/an/a200.3
1.243.2n/an/aOctober 20234.28200.3
1.233.211.211.2June 202364.276200.2
1.223.211.211.2June 202364.276200.1
1.213.211.211.2February 20234.26 | 3.43200.1
1.203.111.111.1November 20224.25 | 3.42200
1.193.111.111.1November 20224.25 | 3.42100.15
1.183.011.111.1November 20224.25 | 3.42100.14
1.172.911.011.0March 20224.23 | 3.40100.14
1.162.911.011.0December 20214.22 | 3.39100.13
1.152.910.9.111.0September 20214.21 | 3.38100.13
1.142.810.9.111.0September 20214.21 | 3.38100.12
1.132.810.9.110.9.1April 20214.19 | 3.36100.115
1.122.710.910.9December 20204.18 | 3.35100.10
1.112.610.8.110.9July 20204.16 | 3.33100.84
1.102.510.8.110.8.1July 20204.16 | 3.33100.84
1.92.510.810.8April 20204.15 | 3.32100.84
1.82.410.810.8October 20194.13 | 3.30100.84
1.72.410.7.110.7.1June 20194.12 | 3.29100.63 | 100.73
1.62.310.7.110.7.1March 20194.11 | 3.28100.53
1.52.310.710.7December 20184.103 | 3.27100.53
1.42.210.710.7July 20184.82 | 3.25100.3
1.32.110.6.110.6.1December 20174.62 | 3.23100.2
1.22.0110.610.6September 20174.5 | 3.22100.2
1.12.0110.610.6July 20174.4 | 3.21100.1
1.01.410.5.110.5.1December 20164.2 | 3.19100
  1. No support for popups
  2. No support for geometry functions
  3. No support for FeatureSet
  4. No support for Schema, Domain, and Subtype functions
  5. No support for Schema($feature) for the Labeling profile
  6. The 3.x series of the ArcGIS API for JavaScript will no longer be updated with the latest Arcade language features starting with version 1.22 of Arcade. In other words, Arcade expressions authored in JS API apps at versions 3.43 or later (or ArcGIS Online Map Viewer Classic after the June 2023 update) will only support Arcade language features introduced in Arcade versions 1.21 or earlier.

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.